Peplink Portal Docs

Retrieve an order

Retrieve the details of an order.

Request

GET/orders/{orderNumber}

Path parameters

orderNumberstringrequired

Order number of the order to retrieve.

Response

A json is returned in the response body with the following fields:

orderNumberstring

Order number of the order.

orderedAtdatetime string

Time of when this order is created.

statusenum

Status of the order.

  • NEW — The order is newly created.
  • IN_PROCESSING — The order is processing.
  • COMPLETE — All of order items are processed and completed.
  • CANCELLED — The order is cancelled.
  • CLOSED — Some order items are processed and completed but some order items are cancelled.
customerFirstNamestring

First name of the customer for the order.

customerLastNamestring

Last name of the customer for the order.

customerEmailstring

Email of the customer for the order.

customerPoNumbernullable string

PO number from the customer for the order. null if not applicable.

currencyCodestring

Currency code for the order.

billingobject

Billing information for the order.

Show child attributes
billing.methodstring

Billing method for the order.

billing.contactPersonstring

Contact person for billing of the order.

billing.companystring

Company for billing of the order.

billing.streetstring

Street (or the first line) of billing address of the order.

billing.citynullable string

City of billing address of the order.

billing.statenullable string

State of billing address of the order.

billing.postCodenullable string

Post code of billing address of the order.

billing.countrystring

Country of billing address of the order.

billing.countryCodestring

Country code of billing address of the order.

billing.emailstring

Email of billing address of the order.

billing.phonenullable string

Phone of billing address of the order.

shippingnullable object

Shipping information for the order. null if the order does not require shipment.

Show child attributes
shipping.methodstring

Shipping method for the order.

shipping.contactPersonstring

Contact person for shipping of the order.

shipping.companystring

Company for shipping of the order.

shipping.streetstring

Street (or the first line) of shipping address of the order.

shipping.citynullable string

City of shipping address of the order.

shipping.statenullable string

State of shipping address of the order.

shipping.postCodenullable string

Post code of shipping address of the order.

shipping.countrystring

Country of shipping address of the order.

shipping.countryCodestring

Country code of shipping address of the order.

shipping.emailstring

Email of shipping address of the order.

shipping.phonenullable string

Phone of shipping address of the order.

linesobject array

Items ordered.

Show child attributes
lines.skustring

Product code (sku) of the line.

lines.productNamestring

Product name of the line.

lines.originalUnitPricenumber

Original unit price of the line before any adjustments. Can be treated as MSRP.

lines.unitPricenumber

Effective unit price of the line after any adjustments.

lines.quantityinteger

Quantity of the line.

lines.totalPricenumber

Total price of the line.

lines.serialNumbersobject array

If this line is purchasing for add-ons (e.g. license, warranty, etc) for serial numbers, this field is listing the details of the associated serial numbers. Empty array if the line is not associated with any serial numbers.

Show child attributes
lines.serialNumbers.snstring

SN of the serial number.

lines.optionsobject array

Options selected for this line. Empty array if the line is not associated with options.

Show child attributes
lines.options.skustring

Product code (sku) of the selected option.

lines.options.productNamestring

Product name of the selected option.

linesTotalPricenumber

Total price of all lines.

cartDiscountnumber

Discount for the order.

cartDiscountDescriptionnullable string

Description of the discount for the order. null if no discount.

couponCodenullable string

Coupon code applied for the order. null if not applicable.

shippingFeenumber

Shipping fee for the order.

shippingInsurancenumber

Shipping insurance for the order.

bankChargenumber

Bank charge for the order.

creditCardChargenumber

Credit card charge for the order.

grandTotalnumber

Total price (including all lines, charges, etc) for the order.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/orders/{orderNumber}' \  -H 'Authorization: Bearer {token}'

Response

{
  "orderNumber": "example_order_number",
  "orderedAt": "2025-02-06T01:25:20.000Z",
  "status": "IN_PROCESSING",
  "customerFirstName": "Jane",
  "customerLastName": "Doe",
  "customerEmail": "[email protected]",
  "customerPoNumber": null,
  "currencyCode": "USD",
  "billing": {
    "method": "OTHERS",
    "contactPerson": "billing>contact>person>example",
    "company": "billing>company>example",
    "street": "street>example",
    "city": "city>example",
    "state": "state>example",
    "postCode": "postCode>example",
    "country": "United States",
    "countryCode": "US",
    "email": "[email protected]",
    "phone": "123456789"
  },
  "shipping": {
    "method": "CUSTOMER_SHIPPING_ACCOUNT",
    "contactPerson": "billing>contact>person>example",
    "company": "billing>company>example",
    "street": "street>example",
    "city": "city>example",
    "state": "state>example",
    "postCode": "postCode>example",
    "country": "United States",
    "countryCode": "US",
    "email": "[email protected]",
    "phone": "123456789"
  },
  "lines": [
    {
      "sku": "line_sku",
      "productName": "line_product_name",
      "originalUnitPrice": 1999,
      "unitPrice": 1000,
      "quantity": 1,
      "totalPrice": 1000,
      "serialNumbers": [],
      "options": []
    }
  ],
  "linesTotalPrice": 1000,
  "cartDiscount": 0,
  "cartDiscountDescription": null,
  "couponCode": null,
  "shippingFee": 0,
  "shippingInsurance": 0,
  "bankCharge": 0,
  "creditCardCharge": 0,
  "grandTotal": 1000
}

On this page